aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.PutBucketVersioning

Synopsis

- data VersioningState
  - = VersioningSuspended
  - | VersioningEnabled
- data PutBucketVersioning = PutBucketVersioning {
  - pbvBucket :: Bucket
  - pbvVersioningConfiguration :: VersioningState
  }
- putBucketVersioning :: Bucket -> VersioningState -> PutBucketVersioning
- data PutBucketVersioningResponse = PutBucketVersioningResponse

# Documentation

data VersioningState Source #

Constructors

VersioningSuspended |
VersioningEnabled |

#### Instances

Instances details

Show VersioningState Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning Methods showsPrec :: Int -> VersioningState -> ShowS Source # show :: VersioningState -> String Source # showList :: [VersioningState] -> ShowS Source #

data PutBucketVersioning Source #

Sets the versioning state of an existing bucket.

Constructors

PutBucketVersioning |

Fields

- pbvBucket :: Bucket
- pbvVersioningConfiguration :: VersioningState

#### Instances

Instances details

SignQuery PutBucketVersioning Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.PutBucketVersioning

Associated Types

type ServiceConfiguration PutBucketVersioning |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ServiceConfiguration PutBucketVersioning = S3Configuration

Methods

signQuery :: PutBucketVersioning -> ServiceConfiguration PutBucketVersioning queryType -> SignatureData -> SignedQuery Source #

Show PutBucketVersioning Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning Methods showsPrec :: Int -> PutBucketVersioning -> ShowS Source # show :: PutBucketVersioning -> String Source # showList :: [PutBucketVersioning] -> ShowS Source #
Transaction PutBucketVersioning PutBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning
type ServiceConfiguration PutBucketVersioning Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ServiceConfiguration PutBucketVersioning = S3Configuration

putBucketVersioning :: Bucket -> VersioningState -> PutBucketVersioning Source #

data PutBucketVersioningResponse Source #

Constructors

PutBucketVersioningResponse |

#### Instances

Instances details

AsMemoryResponse PutBucketVersioningResponse Source # |

Instance details

Defined in Aws.S3.Commands.PutBucketVersioning

Associated Types

type MemoryResponse PutBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type MemoryResponse PutBucketVersioningResponse = PutBucketVersioningResponse

Methods

loadToMemory :: PutBucketVersioningResponse -> ResourceT IO (MemoryResponse PutBucketVersioningResponse) Source #

Show PutBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning Methods showsPrec :: Int -> PutBucketVersioningResponse -> ShowS Source # show :: PutBucketVersioningResponse -> String Source # showList :: [PutBucketVersioningResponse] -> ShowS Source #
ResponseConsumer r PutBucketVersioningResponse Source # |

Instance details

Defined in Aws.S3.Commands.PutBucketVersioning

Associated Types

type ResponseMetadata PutBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ResponseMetadata PutBucketVersioningResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata PutBucketVersioningResponse) -> HTTPResponseConsumer PutBucketVersioningResponse Source #

Transaction PutBucketVersioning PutBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning
type MemoryResponse PutBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type MemoryResponse PutBucketVersioningResponse = PutBucketVersioningResponse
type ResponseMetadata PutBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ResponseMetadata PutBucketVersioningResponse = S3Metadata